Message.ProtocolDecoder (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Class Message.ProtocolDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<Frame>
      - - org.apache.cassandra.transport.Message.ProtocolDecoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
  Enclosing class:
    Message

      @ChannelHandler.Sharable
      public static class Message.ProtocolDecoder
      extends io.netty.handler.codec.MessageToMessageDecoder<Frame>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolDecoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(io.netty.channel.ChannelHandlerContext ctx, Frame frame, java.util.List results)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### ProtocolDecoder

          public ProtocolDecoder()

  - ### Method Detail

    - #### decode

          public void decode(io.netty.channel.ChannelHandlerContext ctx,
                             Frame frame,
                             java.util.List results)

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<Frame>`

Copyright © 2018 The Apache Software Foundation